/*******************************************************************************
 * Copyright (c) 2014, 2014 Bruno Medeiros and other Contributors.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     Bruno Medeiros - initial API and implementation
 *******************************************************************************/
package melnorme.lang.ide.core.operations;

import org.eclipse.core.runtime.IProgressMonitor;

import melnorme.lang.ide.core.utils.process.AbstractRunProcessTask;
import melnorme.utilbox.core.CommonException;
import melnorme.utilbox.process.ExternalProcessNotifyingHelper;

public class RunEngineClientOperation extends AbstractRunProcessTask {
	
	protected final AbstractToolsManager<?> abstractToolsManager;
	
	public RunEngineClientOperation(AbstractToolsManager<?> abstractToolsManager, ProcessBuilder pb,
			IProgressMonitor cancelMonitor) {
		super(pb, cancelMonitor);
		this.abstractToolsManager = abstractToolsManager;
	}
	
	@Override
	protected void handleProcessStartResult(ExternalProcessNotifyingHelper processHelper, CommonException ce) {
		for (ILangOperationsListener listener : abstractToolsManager.getListeners()) {
			listener.engineClientToolStart(pb, ce, processHelper);
		}
	}
	
}